/*+-------------------------------------------------------------------------
	ecucurses.h - bypass SCO <curses.h> problems
	wht@n4hgf.Mt-Park.GA.US

It is impossible to avoid warnings with various SCO curses installation
options, so we do it here
--------------------------------------------------------------------------*/
/*+:EDITS:*/
/*:07-25-1991-12:55-wht@n4hgf-ECU release 3.10 */
/*:05-02-1991-02:35-wht@n4hgf-creation */

#if defined(M_TERMINFO)
#undef M_TERMINFO
#endif /* M_TERMINFO */

#if defined(M_TERMCAP)
#undef M_TERMCAP
#endif /* M_TERMCAP */

#define M_TERMCAP	/* this, alas is required at this time */

#if defined(M_SYSV)		/* any SCO */
#if defined(M_TERMCAP)
# include <tcap.h>
#else /* !M_TERMCAP */
# include <tinfo.h>
#endif /* M_TERMCAP */
#else /* !M_SYSV */
# include <curses.h>
#endif /* M_SYSV */

/* vi: set tabstop=4 shiftwidth=4: */
/* end of ecucurses.h */
