/*+-------------------------------------------------------------------------
	util.c
	wht@n4hgf.Mt-Park.GA.US
--------------------------------------------------------------------------*/
/*+:EDITS:*/
/*:07-25-1991-12:58-wht@n4hgf-ECU release 3.10 */
/*:08-14-1990-20:40-wht@n4hgf-ecu3.00-flush old edit history */

# include "lint_args.h"

/*+-------------------------------------------------------------------------
	all touuper/tolower not created equally, so this works!
--------------------------------------------------------------------------*/
char to_upper(ch)
register char    ch;
{ return( ((ch >= 'a') && (ch <= 'z')) ? ch - 0x20 : ch);
}   /* end of to_upper() */

char to_lower(ch)
register char    ch;
{ return( ((ch >= 'A') && (ch <= 'Z')) ? ch + 0x20 : ch);
}   /* end of to_lower() */


/*+-----------------------------------------------------------------------
	pad_zstr_to_len(zstr,len)

  pads with spaces to specified length, unless already longer than
  len in which case the string is truncated to 'len' characters.
------------------------------------------------------------------------*/
void
pad_zstr_to_len(zstr,len)
char	*zstr;
int		len;
{
register int	izstr;

	izstr = strlen(zstr);
	if(izstr >= len)
		zstr[len] = 0;
	else
	{
		while(izstr < len)
			zstr[izstr++] = 0x20;
		zstr[izstr] = 0;
	}
}	/* end of pad_zstr_to_len */

